%define name	polyxmass
%define version	0.9.7
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Software suite for mass spectrometry of polymers
Version: 	%{version}
Release: 	%{release}

Source:		%name-bin-%version.tar.bz2
Patch0:		polyxmass-gtk_enable_deprecated.patch
URL:		http://www.polyxmass.org/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	polyxmass-data polyxmass-common
BuildRequires:	polyxmass-common docbook-utils
BuildRequires:  pkgconfig
BuildRequires:	libgnomecanvas2-devel librsvg-devel libglade2.0-devel


%description
The polyxmass mass spectrometric software is a computer framework for mass
spectrometry specifically for polymers. This project is modular and involves
a number of packages.

%prep
%setup -q -n %name-bin-%version
%patch0 -p1

%build
%configure
%make

%install
%makeinstall_std
%find_lang %name-bin
rm -fr $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-bin.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS NEWS THANKS TODO
%_bindir/*
%_datadir/%name/*
%_mandir/man1/*
%_datadir/applications/*
%_datadir/pixmaps/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7-5mdv2009.0
+ Revision: 242325
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Austin Acton <austin@mandriva.org> 0.9.7-3mdv2008.0
+ Revision: 68821
- rebuild for dbus

* Mon Aug 13 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9.7-2mdv2008.0
+ Revision: 62744
- rebuild to fix bug #26897
- fix build with new gtk
- Import polyxmass



* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 0.9.7-1mdv2007.0
- 0.9.7

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.9.4-1mdk
- 0.9.4

* Wed Mar 15 2006 Lenny Cartier <lenny@mandriva.com> 0.9.3-1mdk
- 0.9.3

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.7-3mdk
- fix buildrequires 

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.7-2mdk
- Add buildrequires

* Wed Apr 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7
- patch0: polyxmass_docbook2man to use docbook2man
- buildrequires docbook-utils

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.8.6-1mdk
- 0.8.6

* Mon Jan 31 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Tue Jan 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- migrate to new 0.8 branch

* Wed Feb 25 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- initial package
